System & Browser Requirements

If you are experiencing issues with our LMS or courses, please make sure your browser and system meets the requirements below. If you still cannot find a solution, then feel free to contact support by submitting a case.

 

Browser Requirements

The results below will detect your current browser and system settings. Please make sure the items in the REQUIRED column are met.

Setting Your System Results Required Items

Operating System:

Android, iOS, OS X, Linux and Windows operating systems are supported as long as your browser meets the browser requirements.

Screen Resolution:

1024 x 768 or higher recommended.

Browser:

Supported browsers:
Chrome 29 and above.
Safari 6 and above.
Firefox 25 and above.
Internet Explorer 10 & 11.
Edge Browser supported on Windows 10

Pop-up Blocker:

Could not detect

You must turn off your pop-up blocker on your browser since the module will launch in a pop-up window.


Other Troubleshooting Tips:

  • If your company network uses a proxy server or other type of web/URL security filter such as McAfee Gateway or Websense, please ask your network administrator to add our website to their whitelist so it is not filtered/blocked.
  • Delete the cache or temporary internet files in your browser.
  • If using IE, make sure your compatibility mode setting is not turned on for our sites.

For more tips and technical information, visit our knowledge base page.